Step (gCube Guided Tour Widget 1.2.1-SNAPSHOT API)
Date: 2013-07-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.guidedtour.resources.model
Class Step

    java.lang.Object
      org.gcube.portlets.user.guidedtour.resources.model.Step

    public class Step

extends Object

Author:
  "Federico De Faveri defaveri@isti.cnr.it"

Field Summary
`protected ArrayList<String>` | `bodies`
`protected ArrayList<Image>` | `images`
`protected String` | `showTitle`
`protected String` | `template`
`protected String` | `title`
`protected String` | `verticalAlignment`

Constructor Summary
`Step()`

Method Summary
`ArrayList<String>` | `getBodies()`
`ArrayList<Image>` | `getImages()`
`String` | `getShowTitle()`
`String` | `getTemplate()`
`String` | `getTitle()`
`String` | `getVerticalAlignment()`
`void` | `setBodies(ArrayList<String> bodies)`
`void` | `setImages(ArrayList<Image> images)`
`void` | `setShowTitle(String showTitle)`
`void` | `setTemplate(String template)`
`void` | `setTitle(String title)`
`void` | `setVerticalAlignment(String verticalAlignment)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### template

    protected String template

### showTitle

    protected String showTitle

### verticalAlignment

    protected String verticalAlignment

### title

    protected String title

### bodies

    protected ArrayList<String> bodies

### images

    protected ArrayList<Image> images

Constructor Detail

### Step

    public Step()

Method Detail

### getTemplate

    public String getTemplate()

  Returns:
    the template

### setTemplate

    public void setTemplate(String template)

  Parameters:
    `type` - the template to set

### getShowTitle

    public String getShowTitle()

  Returns:
    the showTitle

### setShowTitle

    public void setShowTitle(String showTitle)

  Parameters:
    `showTitle` - the showTitle to set

### getVerticalAlignment

    public String getVerticalAlignment()

  Returns:
    the verticalAlignment

### setVerticalAlignment

    public void setVerticalAlignment(String verticalAlignment)

  Parameters:
    `verticalAlignment` - the verticalAlignment to set

### getTitle

    public String getTitle()

  Returns:
    the title

### setTitle

    public void setTitle(String title)

  Parameters:
    `title` - the title to set

### getBodies

    public ArrayList<String> getBodies()

  Returns:
    the bodies

### setBodies

    public void setBodies(ArrayList<String> bodies)

  Parameters:
    `bodies` - the bodies to set

### getImages

    public ArrayList<Image> getImages()

  Returns:
    the images

### setImages

    public void setImages(ArrayList<Image> images)

  Parameters:
    `images` - the images to set

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.